cherokee-tweak(1)

NAME
cherokee-tweak - Command-line interface to the administration interface of Cherokee

SYNOPSIS
cherokee-tweak [options] URL info

cherokee-tweak [options] URL sources

cherokee-tweak [options] URL kill-source ID

cherokee-tweak [options] URL logrotate PATH

cherokee-tweak [options] URL trace TRACE

DESCRIPTION
cherokee-tweak connects to a running cherokee instance, either local or remote, and requests it to perform one of several actions.

COMMANDS

info
    Prints info about the server status

sources
    Prints a list of the information sources

kill-source
    Kill a remote information source, specified by its reported ID

logrotate
    Rotates a local (*and only local*) log file specified by PATH.

trace
    Manipulates the tracing mechanism. TRACE should be the string that specifies the modules to be traced, and Cherokee must have been compiled with the --enable-trace option for this to work. Everything traceable with CHEROKEE_TRACE can also be traced this way.

PARAMETERS

URL Required before any command. This is the URL where the administration interface can be found. This target must be defined previously in herokee-admin enabling a "Remote Administration" type handler (Virtual Servers->Behaviour->Add new rule, and then Handler->"Remote Administration"). The deffinition of a security mechanism is highly encouraged.

-h, --help
    Shows brief usage information

-V, --version
    Prints version and exits

OPTIONS

cherokee-tweak accepts the following options:

-u<STRING>, --user=<STRING>
    Specifies the user name with which to identify to the server

-p<STRING>, --password=<STRING>
    Specifies the password with which to identify to the server

SEE ALSO
cherokee-admin(1)

This program is a part of the Cherokee web server, cherokee(1)

AUTHOR

Cherokee was written by Alvaro Lopez Ortega<alvaro@alobbs.com>. This manual page was written by Taher Shihadeh <taher@unixwars.com>.